Bug 448884 - getent -s 'ldap' passwd -- Segmentation fault
getent -s 'ldap' passwd -- Segmentation fault
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: Nalin Dahyabhai
Ondrej Moriš
:
Depends On: 448883
Blocks: 449069
  Show dependency treegraph
 
Reported: 2008-05-29 05:11 EDT by Michal Nowak
Modified: 2013-03-07 21:04 EST (History)
9 users (show)

See Also:
Fixed In Version: nss_ldap-253-11.el4
Doc Type: Bug Fix
Doc Text:
If the hostname resolution was configured to use 'ldap' only, it was impossible to resolve a hostname of the target Lightweight Directory Access Protocol (LDAP) server to its address without contacting it. This caused a recursion in the underlying nss_ldap module until a segmentation fault occurred and the calling application crashed. The updated nss_ldap package ensures that no segmentation fault occurs.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 09:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-05-29 05:11:06 EDT
+++ This bug was initially created as a clone of Bug #448883 +++

Description of problem:

dhcp-lab-198 newman # getent -s 'ldap' passwd
Segmentation fault

Version-Release number of selected component (if applicable):
glibc-common-2.3.4-2.39

How reproducible: always

Actual results:
segfault

Expected results:
error msg, clear result, ... it depends

Additional info:

OpenLDAP is installed. It segfaults or and without OpenLDAP being running.
Comment 1 Michal Nowak 2008-05-30 03:59:38 EDT
nss_ldap-253-3.el4 from 4.7
Comment 13 Eva Kopalova 2011-02-09 08:04:00 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If the hostname resolution was configured to use 'ldap' only, it was impossible to resolve a hostname of the target LDAP server to its address without contacting it. This caused a recursion in the underlying nss_ldap module until a segmentation fault occurred and the calling application crashed. The updated nss_ldap package ensures that no segmentation fault occurs.
Comment 14 Eva Kopalova 2011-02-14 11:00:11 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-If the hostname resolution was configured to use 'ldap' only, it was impossible to resolve a hostname of the target LDAP server to its address without contacting it. This caused a recursion in the underlying nss_ldap module until a segmentation fault occurred and the calling application crashed. The updated nss_ldap package ensures that no segmentation fault occurs.+If the hostname resolution was configured to use 'ldap' only, it was impossible to resolve a hostname of the target Lightweight Directory Access Protocol (LDAP) server to its address without contacting it. This caused a recursion in the underlying nss_ldap module until a segmentation fault occurred and the calling application crashed. The updated nss_ldap package ensures that no segmentation fault occurs.
Comment 15 errata-xmlrpc 2011-02-16 09:00:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0239.html

Note You need to log in before you can comment on or make changes to this bug.